Bug 868596 - [abrt]: WARNING: at lib/list_debug.c:59 __list_del_entry+0xac/0xe0(): TAINTED G W
[abrt]: WARNING: at lib/list_debug.c:59 __list_del_entry+0xac/0xe0(): TAINTED...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:8b05bb8055bb03ae09fa166be30...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 22:06 EDT by Eli Katz
Modified: 2013-07-31 13:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Katz 2012-10-20 22:06:45 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.0-2.fc17.i686 root=/dev/mapper/vg_localhost-lv_root ro rd.lvm.lv=vg_localhost/lv_swap rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg_localhost/lv_root KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.0-2.fc17.i686

kernel_tainted_long:
:Proprietary module has not been loaded.
:Taint on warning.

backtrace:
:WARNING: at lib/list_debug.c:59 __list_del_entry+0xac/0xe0()
:Hardware name: System Product Name
:list_del corruption. prev->next should be ef2c4460, but was ef0c4460
:Modules linked in: fuse bnep bluetooth tpm_bios ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 rt61pci rt2x00pci rt2x00lib eeprom_93cx6 mac80211 cfg80211 rfkill ppdev snd_hda_codec_hdmi sp5100_tco kvm microcode snd_hda_codec_via k10temp i2c_piix4 parport_pc parport asus_atk0110 snd_hda_intel r8169 mii snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 3166, comm: Xorg Tainted: G        W    3.5.0-2.fc17.i686 #1
:Call Trace:
: [<c0438df2>] warn_slowpath_common+0x72/0xa0
: [<c066d5bc>] ? __list_del_entry+0xac/0xe0
: [<c066d5bc>] ? __list_del_entry+0xac/0xe0
: [<c0438ec3>] warn_slowpath_fmt+0x33/0x40
: [<c066d5bc>] __list_del_entry+0xac/0xe0
: [<c0504fc8>] shmem_evict_inode+0xf8/0x110
: [<c05519c8>] evict+0x88/0x150
: [<c0551b51>] iput+0xc1/0x190
: [<c054e677>] d_kill+0xc7/0xe0
: [<c054ec09>] dput+0xb9/0x170
: [<c053ce71>] fput+0x161/0x210
: [<f80960f4>] drm_gem_object_release+0x14/0x20 [drm]
: [<f81f2e9d>] radeon_ttm_bo_destroy+0x8d/0xb0 [radeon]
: [<f8065716>] ttm_bo_release_list+0x76/0xb0 [ttm]
: [<f806651d>] ttm_bo_release+0x14d/0x1e0 [ttm]
: [<f80665e8>] ttm_bo_unref+0x38/0x50 [ttm]
: [<f81f324a>] radeon_bo_unref+0x3a/0x70 [radeon]
: [<f8203f3f>] radeon_gem_object_free+0x2f/0x40 [radeon]
: [<f8096165>] drm_gem_object_free+0x25/0x30 [drm]
: [<f8096717>] drm_gem_handle_delete+0xb7/0xf0 [drm]
: [<f8096940>] ? drm_gem_destroy+0x50/0x50 [drm]
: [<f8096961>] drm_gem_close_ioctl+0x21/0x30 [drm]
: [<f8094cc2>] drm_ioctl+0x422/0x480 [drm]
: [<f8096940>] ? drm_gem_destroy+0x50/0x50 [drm]
: [<c053aed7>] ? do_sync_read+0xb7/0xf0
: [<f80948a0>] ? drm_copy_field+0x80/0x80 [drm]
: [<c054ae6a>] do_vfs_ioctl+0x7a/0x580
: [<c060ef4a>] ? inode_has_perm.isra.31.constprop.62+0x3a/0x50
: [<c0610590>] ? file_has_perm+0xa0/0xb0
: [<c0610928>] ? selinux_file_ioctl+0x48/0xe0
: [<c054b3d8>] sys_ioctl+0x68/0x80
: [<c09472df>] sysenter_do_call+0x12/0x28
Comment 1 Josh Boyer 2012-10-22 08:53:54 EDT
Does this happend with 3.6.x?

The "W" taint shows something else had already spit out a warning.  Do you have that in the logs as well?
Comment 2 Fedora End Of Life 2013-07-03 15:27:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 13:56:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.